Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.xml
Interface VersionHandler

public interface VersionHandler

Method Summary
`VersionTag[]` | `getElementsSupported()` Informs the VersionManager about all the VersionTags that this VersionHandler can upgrade.
`DefElement` | `processElement(int elementTag, DefElement elem, short fromMajorVer, short fromMinorVer, short toMajorVer, short toMinorVer)` Upgrades an old XML element on to new Version

Method Detail

### processElement

    public DefElement processElement(int elementTag,
                                     DefElement elem,
                                     short fromMajorVer,
                                     short fromMinorVer,
                                     short toMajorVer,
                                     short toMinorVer)
                              throws VersionProcessException

  Upgrades an old XML element on to new Version
  Parameters:
    `elementTag` - Predefined XMLTag. All the Element atgs are defined in VersionUtil class
    `elem` - The XMLElement that needs to be updated
    `fromMajorVer` - The Current Major Version of the Element
    `fromMinorVer` - The Current Minor Version of the Element
    `toMajorVer` - The Current Major Version of JBO
    `toMinorVer` - The Current Minor Version of JBO
  Returns:
    Returns the Modified Element
  Throws:
    `Throws` - VersionProcessException when failed to convert Element to the Current JBO Version
    `VersionProcessException`

### getElementsSupported

    public VersionTag[] getElementsSupported()

  Informs the VersionManager about all the VersionTags that this VersionHandler can upgrade. Typically One Versionhandler upgrades One Element Type from one version to the other. But the programmers of the VersionHandlers may choose to support multiple ElementTag Conversions.
  Returns:
    Returns the the Array of Version Tags Supported

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.